commit:     03fba141682c6008c978f1e6ce305b2b31d2eba0
Author:     Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Mon Dec 11 06:34:10 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Tue Dec 12 20:27:05 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=03fba141

app-misc/elasticsearch: bump to 5.5.3/5.6.4/6.0.1.

Package-Manager: Portage-2.3.16, Repoman-2.3.6
Closes: https://github.com/gentoo/gentoo/pull/6515

 app-misc/elasticsearch/Manifest                   |  3 +
 app-misc/elasticsearch/elasticsearch-5.5.3.ebuild | 67 ++++++++++++++++++++++
 app-misc/elasticsearch/elasticsearch-5.6.5.ebuild | 69 +++++++++++++++++++++++
 app-misc/elasticsearch/elasticsearch-6.0.1.ebuild | 69 +++++++++++++++++++++++
 4 files changed, 208 insertions(+)

diff --git a/app-misc/elasticsearch/Manifest b/app-misc/elasticsearch/Manifest
index 30de5e9c79e..54ea284d3a8 100644
--- a/app-misc/elasticsearch/Manifest
+++ b/app-misc/elasticsearch/Manifest
@@ -1,3 +1,6 @@
 DIST elasticsearch-5.5.2.tar.gz 33485703 BLAKE2B 
96a9055041506c9e92d64f8922daeca5fcb45b0e1f34ff8a8aaf14024505bf7d2b8d786de40d267252c3354473ea6ca186cf75e8d994940b43459122a3931a0e
 SHA512 
62048f15b43e38a61e3a19a1599c25cd0d9009cc1172db5b450b04dec349ecd313b1f20e3d1c7ed1c101ae3e6f6c6d2cdf004a9713ad803576277f93e3adbdb9
+DIST elasticsearch-5.5.3.tar.gz 33486646 BLAKE2B 
4f28d843b2daa73af1160436f9eedd20b9d91ee8d4454a210ad59c736c0ac0bd91384d972583d4de7e7dbc228b3e37546343da68545312333379298042ad8214
 SHA512 
013e238a3ccdb795b9472a6111ae804b770435776dfb703b379c34498591d3804e45fb27a7c473348917b4d9e6fde367184474680f1f72bbca129bf9644fb527
 DIST elasticsearch-5.6.4.tar.gz 33776770 BLAKE2B 
c74df8a496c30be315abfd7d1a71f7f8eb75de1a64a7ddd22ff742bd547ec38d417c1ce4002ed6c90b2716837ee0425cf87c910d9f810999e837d118268dcd66
 SHA512 
37730f39cf1711b6a20861370ef7aff4b48e7f90ad82cb1c8c92643179194c4dcdf0180691d8065304bf61e7f5a2fb1ed5c84c384e0b2ff7ad0dc58ac7352f47
+DIST elasticsearch-5.6.5.tar.gz 33780822 BLAKE2B 
0541e27d7d9d18ec308495ab1cfb65c8f8e79960ef5d110ef5194a4033301b858a676c8c4d61f246e01ebc5679280c3eafe628e22ccfd84de9129f7a4606a041
 SHA512 
c3f31f561631c3f8df53cb49ac9a86dff3bcaa9e3ea2ac67dd959900ec1ddf676d307c9d8319ac51062072e506994934c61395049f6a6eac67e377d53517103f
 DIST elasticsearch-6.0.0.tar.gz 28017602 BLAKE2B 
cea47a17109eb5d46b1d94c3763f19923d97392c4a39a8dffb157b8ce60cf959e4680c2a54c5a9d204db64393f3f22dc52c0de94888753e817d808575ff352fd
 SHA512 
25bb622d2fc557d8b8eded634a9b333766f7b58e701359e1bcfafee390776eb323cb7ea7a5e02e8803e25d8b1d3aabec0ec1b0cf492d0bab5689686fe440181c
+DIST elasticsearch-6.0.1.tar.gz 28026460 BLAKE2B 
a70cd36affaccccf1ea552167e585a35cc748de1137cf4b23387798ae31b851104ccc19f8be83ecc645bcebfba344b5e55a397a9cbb0b380c4a118f1f0ffecf2
 SHA512 
b86a04acd194e7e96e3a32de6ab4983d6569ffb1714f2af9e2b49623004987e13e57c5db055153a188f5d2d7eea63d649fa87769f7625f3fc4923e0cd5b8f3ee

diff --git a/app-misc/elasticsearch/elasticsearch-5.5.3.ebuild 
b/app-misc/elasticsearch/elasticsearch-5.5.3.ebuild
new file mode 100644
index 00000000000..b2ac22fbd6c
--- /dev/null
+++ b/app-misc/elasticsearch/elasticsearch-5.5.3.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit systemd user
+
+DESCRIPTION="Open Source, Distributed, RESTful, Search Engine"
+HOMEPAGE="https://www.elastic.co/products/elasticsearch";
+SRC_URI="https://artifacts.elastic.co/downloads/${PN}/${P}.tar.gz";
+LICENSE="Apache-2.0 BSD-2 LGPL-3 MIT public-domain"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="virtual/jre:1.8"
+
+pkg_setup() {
+       enewgroup ${PN}
+       enewuser ${PN} -1 /bin/bash /usr/share/${PN} ${PN}
+}
+
+src_prepare() {
+       rm -v bin/*.{bat,exe} LICENSE.txt || die
+
+       default
+}
+
+src_install() {
+       keepdir /etc/${PN}
+       keepdir /etc/${PN}/scripts
+
+       insinto /etc/${PN}
+       doins config/*
+       rm -rv config || die
+
+       insinto /usr/share/${PN}
+       doins -r ./*
+
+       exeinto /usr/share/${PN}/bin
+       doexe "${FILESDIR}/elasticsearch-systemd-pre-exec"
+
+       chmod +x "${ED}"/usr/share/${PN}/bin/* || die
+
+       keepdir /var/{lib,log}/${PN}
+       dodir /usr/share/${PN}/plugins
+
+       systemd_newtmpfilesd "${FILESDIR}/${PN}.tmpfiles.d" "${PN}.conf"
+
+       insinto /etc/sysctl.d
+       newins "${FILESDIR}/${PN}.sysctl.d" "${PN}.conf"
+
+       newinitd "${FILESDIR}/${PN}.init" "${PN}"
+       newconfd "${FILESDIR}/${PN}.conf" "${PN}"
+       systemd_newunit "${FILESDIR}"/${PN}.service "${PN}.service"
+}
+
+pkg_postinst() {
+       elog
+       elog "You may create multiple instances of ${PN} by"
+       elog "symlinking the init script:"
+       elog "ln -sf /etc/init.d/${PN} /etc/init.d/${PN}.instance"
+       elog
+       elog "Please make sure you put elasticsearch.yml, log4j2.properties and 
scripts"
+       elog "from /etc/elasticsearch into the configuration directory of the 
instance:"
+       elog "/etc/${PN}/instance"
+       elog
+}

diff --git a/app-misc/elasticsearch/elasticsearch-5.6.5.ebuild 
b/app-misc/elasticsearch/elasticsearch-5.6.5.ebuild
new file mode 100644
index 00000000000..cd91e97f307
--- /dev/null
+++ b/app-misc/elasticsearch/elasticsearch-5.6.5.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit systemd user
+
+DESCRIPTION="Open Source, Distributed, RESTful, Search Engine"
+HOMEPAGE="https://www.elastic.co/products/elasticsearch";
+SRC_URI="https://artifacts.elastic.co/downloads/${PN}/${P}.tar.gz";
+LICENSE="Apache-2.0 BSD-2 LGPL-3 MIT public-domain"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="virtual/jre:1.8"
+
+pkg_setup() {
+       enewgroup ${PN}
+       enewuser ${PN} -1 /bin/bash /usr/share/${PN} ${PN}
+}
+
+src_prepare() {
+       rm -v bin/*.{bat,exe} LICENSE.txt || die
+
+       default
+}
+
+src_install() {
+       keepdir /etc/${PN}
+       keepdir /etc/${PN}/scripts
+
+       insinto /etc/${PN}
+       doins config/*
+       rm -rv config || die
+
+       insinto /usr/share/${PN}
+       doins -r ./*
+
+       exeinto /usr/share/${PN}/bin
+       doexe "${FILESDIR}/elasticsearch-systemd-pre-exec"
+
+       chmod +x "${ED}"/usr/share/${PN}/bin/* || die
+
+       keepdir /var/{lib,log}/${PN}
+       fowners ${PN}:${PN} /var/{lib,log}/${PN}
+       fperms 0750 /var/{lib,log}/${PN}
+       dodir /usr/share/${PN}/plugins
+
+       insinto /etc/sysctl.d
+       newins "${FILESDIR}/${PN}.sysctl.d" ${PN}.conf
+
+       newconfd "${FILESDIR}/${PN}.conf.2" ${PN}
+       newinitd "${FILESDIR}/${PN}.init.2" ${PN}
+
+       systemd_newtmpfilesd "${FILESDIR}/${PN}.tmpfiles.d" ${PN}.conf
+       systemd_newunit "${FILESDIR}"/${PN}.service ${PN}.service
+}
+
+pkg_postinst() {
+       elog
+       elog "You may create multiple instances of ${PN} by"
+       elog "symlinking the init script:"
+       elog "ln -sf /etc/init.d/${PN} /etc/init.d/${PN}.instance"
+       elog
+       elog "Please make sure you put elasticsearch.yml, log4j2.properties and 
scripts"
+       elog "from /etc/elasticsearch into the configuration directory of the 
instance:"
+       elog "/etc/${PN}/instance"
+       elog
+}

diff --git a/app-misc/elasticsearch/elasticsearch-6.0.1.ebuild 
b/app-misc/elasticsearch/elasticsearch-6.0.1.ebuild
new file mode 100644
index 00000000000..aeab2b8db11
--- /dev/null
+++ b/app-misc/elasticsearch/elasticsearch-6.0.1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit systemd user
+
+DESCRIPTION="Open Source, Distributed, RESTful, Search Engine"
+HOMEPAGE="https://www.elastic.co/products/elasticsearch";
+SRC_URI="https://artifacts.elastic.co/downloads/${PN}/${P}.tar.gz";
+LICENSE="Apache-2.0 BSD-2 LGPL-3 MIT public-domain"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="virtual/jre:1.8"
+
+pkg_setup() {
+       enewgroup ${PN}
+       enewuser ${PN} -1 /bin/bash /usr/share/${PN} ${PN}
+}
+
+src_prepare() {
+       rm -v bin/*.{bat,exe} LICENSE.txt || die
+
+       default
+}
+
+src_install() {
+       keepdir /etc/${PN}
+       keepdir /etc/${PN}/scripts
+
+       insinto /etc/${PN}
+       doins config/*
+       rm -rv config || die
+
+       insinto /usr/share/${PN}
+       doins -r ./*
+
+       exeinto /usr/share/${PN}/bin
+       doexe "${FILESDIR}/elasticsearch-systemd-pre-exec"
+
+       chmod +x "${ED}"/usr/share/${PN}/bin/* || die
+
+       keepdir /var/{lib,log}/${PN}
+       fowners ${PN}:${PN} /var/{lib,log}/${PN}
+       fperms 0750 /var/{lib,log}/${PN}
+       dodir /usr/share/${PN}/plugins
+
+       insinto /etc/sysctl.d
+       newins "${FILESDIR}/${PN}.sysctl.d" ${PN}.conf
+
+       newconfd "${FILESDIR}/${PN}.conf.3" ${PN}
+       newinitd "${FILESDIR}/${PN}.init.3" ${PN}
+
+       systemd_newtmpfilesd "${FILESDIR}/${PN}.tmpfiles.d" ${PN}.conf
+       systemd_newunit "${FILESDIR}"/${PN}.service.2 ${PN}.service
+}
+
+pkg_postinst() {
+       elog
+       elog "You may create multiple instances of ${PN} by"
+       elog "symlinking the init script:"
+       elog "ln -sf /etc/init.d/${PN} /etc/init.d/${PN}.instance"
+       elog
+       elog "Please make sure you put elasticsearch.yml, log4j2.properties and 
scripts"
+       elog "from /etc/elasticsearch into the configuration directory of the 
instance:"
+       elog "/etc/${PN}/instance"
+       elog
+}

Reply via email to